PHP-Growl: Growl Talk Notifications UDP 9887 implementation deprecated. GNTP is the new

standard notification protocol.
Description

Growl no longer uses UDP 9887 to send notifications as of 1.2.1 (as far as I can tell). Free versions 1.2.2-1.3 and paid version 2.0

and beyond support a more robust, 2 way capable, notification protocol GNTP which utilizes TCP port 23503:

http://growl.info/documentation/developer/gntp.php

I understand that PFSense is implementing PHP-Growl and most likely not maintaining the package but I thought I would list this

here in an effort to garner some focus/attention to either upgrading PHP-Growl to support GNTP or adding/implementing a different

package that supports GNTP such as: Python GNTP library:

http://pythonhosted.org/gntp/

https://github.com/kfdm/gntp

I have contact the owner of PHP-Growl to see if he had time or was interested in upgrading his plugin and will update this ticket as I

hear back. Alternatively, on the off chance someone is interested in updating/forking PHP-Growl:

https://github.com/tylerhall/php-growl/

Although, it seems to make more sense to utilized the python GNTP library as the work already appears to be done, a web front end

would be all that would be needed to be created.

History

#1 - 04/10/2013 08:49 AM - Warren Baker

http://growl.laurent-laville.org/ should work no?

#2 - 04/10/2013 09:07 AM - Mahdi Hedhli

Warren Baker wrote:

http://growl.laurent-laville.org/ should work no?

 Good find Warren! Hadn't seen that one. This would be great as it supports the old UDP implementation + new TCP GNTP.

I think between this and python GNTP we have solid options for updating this portion of pfsense.

Can we get this accepted and committed for a future build?

#3 - 07/13/2013 07:52 AM - Mahdi Hedhli

Devs,

I know this isn't a core feature or functionality but with the research and solutions proposed, I'd appreciate if this could at least be accepted into the

roadmap.

Thanks

#4 - 11/13/2020 08:32 AM - Renato Botelho

- Status changed from New to Rejected

Growl support was removed on pfSense 2.5.0
